Bug 137795 - unescaped RPM macro places wrong and confusing text into changelog
unescaped RPM macro places wrong and confusing text into changelog
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 09:09 EST by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 07:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-11-01 09:09:23 EST
Description of problem:
In the SPEC file, there is an unescaped RPM macro which is wrongly 
expanded to its value. A bit confusing, as with every new version of 
the package, it says something else. ;-)

Version-Release number of selected component (if applicable):
1.7.3-17

How reproducible:
always

Steps to Reproduce:
1. tail +`fgrep -n %changelog mozilla.spec | cut -d: -f1`  mozilla.
spec | fgrep '%{version}'
2. rpm -qp --changelog mozilla-1.7.3-17.src.rpm | fgrep "Update 
Source:"

Actual results:
1. - Update Source: to use %{version}
2. - Update Source: to use 1.7.3

Expected results:
1. - Update Source: to use %%{version}
2. - Update Source: to use %{version}

Additional info:
Comment 1 Moritz Barsnick 2006-10-14 18:39:02 EDT
*ping*
This is still valid for current mozilla packages.

rpmlint should check for unescaped '%' in the %changelog section. :-/
Comment 2 Matthias Clasen 2007-04-01 11:18:07 EDT
mozilla is not in F7 anymore, so I guess this bug should be closed as obsolete.
Comment 3 Moritz Barsnick 2007-04-03 07:33:03 EDT
Ah, wait for packages to die before resolving the bug. ;-))) SCNR.

Yes, it's obsolete, I'm closing it.

By the way, regarding comment #1: This _is_ checked with rpmlint now, AFAICS 
from other packagers' changes. But many don't know how to handle it (escaping 
as "%%" vs. leaving it away.)

Note You need to log in before you can comment on or make changes to this bug.